## lasagne 0.1+git20160728.8b66737

=== requirements.txt ===
Theano==0.8.0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/lasagne.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/lasagne.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/lasagne"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/lasagne"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

=== debian/changelog ===
lasagne (0.1+git20160728.8b66737-4) unstable; urgency=medium

  * Team upload.
  * deb/control: update Vcs fields (package moved to Debian Science).
  * deb/copyright: expand a copyright span.

  [ Stephen Sinclair ]
  * deb/control:
    + change Maintainer to Debian Science.
    + add myself to Uploaders (Closes: #852134).
    + change standards level to 4.1.1.
    + remove whitespace in package description.
    + build with Python -all packages instead of -dev (fixes build-depends
      -on-python-dev-with-no-arch-any).
    + build with python3-sphinx (fixes build-depends-on-python-sphinx-only).
  * deb/copyright:
    + use HTTPS in Format field.
    + add myself to copyright holders of debian/.

 -- Daniel Stender <stender@debian.org>  Fri, 03 Nov 2017 15:18:06 +0100

lasagne (0.1+git20160728.8b66737-3) unstable; urgency=medium

  * deb/control: fix b-deps [Michael Hudson-Doyle] (Closes: #865947).

 -- Daniel Stender <stender@debian.org>  Mon, 26 Jun 2017 07:22:25 +0200

lasagne (0.1+git20160728.8b66737-2) unstable; urgency=medium

  * Use inspect.signature instead of inspect.getargspec if possible
    (Closes: #834910) [Ole Streicher].

 -- Daniel Stender <stender@debian.org>  Thu, 09 Feb 2017 12:25:30 +0100

lasagne (0.1+git20160728.8b66737-1) unstable; urgency=medium

  * Initial release (Closes: #818641).

 -- Daniel Stender <stender@debian.org>  Fri, 19 Aug 2016 18:46:45 +0200

=== debian/control ===
Source: lasagne
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Stephen Sinclair <radarsat1@gmail.com>
Section: science
Priority: optional
Build-Depends:
 debhelper (>= 9),
 dh-python,
 python-all,
 python3-all,
 python-setuptools,
 python3-setuptools,
 python-theano (>= 0.8.0),
 python3-theano (>= 0.8.0),
 python-numpy,
 python3-numpy,
 python-docutils, links,
 python-pytest,
 python3-pytest,
 python-mock,
 python3-mock,
 python3-sphinx (>= 1.6.5~),
 python-numpydoc,
 python-jinja2 (>= 2.7.3~),
 python-sphinx-rtd-theme
Standards-Version: 4.1.1
Homepage: http://lasagne.readthedocs.org/
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/lasagne.git
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/lasagne.git
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.4

Package: python-lasagne
Architecture: all
Section: python
Depends:
 python-theano (>= 0.8.0),
 ${misc:Depends},
 ${python:Depends}
Recommends:
 lasagne-doc
Description: deep learning library build on the top of Theano (Python2 modules)
 Lasagne is a Python library to build and train deep (multi-layered) artificial
 neural networks on the top of Theano (math expression compiler). In comparison
 to other abstraction layers for that like e.g. Keras, it abstracts Theano as
 little as possible.
 .
 Lasagne supports networks like Convolutional Neural Networks (CNN, mostly used
 for image recognition resp. classification) and the Long Short-Term Memory type
 (LSTM, a subtype of Recurrent Neural Networks, RNN).
  .
 This package contains the modules for Python 2.

Package: python3-lasagne
Architecture: all
Section: python
Depends:
 python3-theano (>= 0.8.0),
 ${misc:Depends},
 ${python3:Depends}
Recommends:
 lasagne-doc
Description: deep learning library build on the top of Theano (Python3 modules)
 Lasagne is a Python library to build and train deep (multi-layered) artificial
 neural networks on the top of Theano (math expression compiler). In comparison
 to other abstraction layers for that like e.g. Keras, it abstracts Theano as
 little as possible.
 .
 Lasagne supports networks like Convolutional Neural Networks (CNN, mostly used
 for image recognition resp. classification) and the Long Short-Term Memory type
 (LSTM, a subtype of Recurrent Neural Networks, RNN).
 .
 This package contains the modules for Python 3.

Package: lasagne-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
 libjs-mathjax
Recommends:
 python-lasagne,
 python3-lasagne
Description: deep learning Python library build on the top of Theano (docs)
 Lasagne is a Python library to build and train deep (multi-layered) artificial
 neural networks on the top of Theano (math expression compiler). In comparison
 to other abstraction layers for that like e.g. Keras, it abstracts Theano as
 little as possible.
 .
 Lasagne supports networks like Convolutional Neural Networks (CNN, mostly used
 for image recognition resp. classification) and the Long Short-Term Memory type
 (LSTM, a subtype of Recurrent Neural Networks, RNN).
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
#export DEB_BUILD_OPTIONS=nocheck
export PYBUILD_NAME=lasagne
export THEANO_FLAGS=base_compiledir='.pybuild',device=cpu

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_test:
	PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS="{interpreter} -m pytest -v -rs lasagne/" dh_auto_test

override_dh_auto_install:
	dh_auto_install
	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N docs/ debian/lasagne-doc/usr/share/doc/lasagne-doc/html/

override_dh_installdocs:
	rst2html -r 5 README.rst .pybuild/README.html
	LANG=C.UTF-8 links -dump .pybuild/README.html > .pybuild/README
	dh_installdocs -A .pybuild/README

override_dh_sphinxdoc:
	dh_sphinxdoc --exclude=MathJax.js

override_dh_compress:
	dh_compress -X.py

## lasagne 0.1+git20180322.37ca134

=== debian/changelog ===
lasagne (0.1+git20180322.37ca134-1) unstable; urgency=medium

  * debian/tests:
    + add autopkgtests
  * debian/control:
    + update Vcs-Git and Vcs-Browser to salsa.debian.org
    + update Standards-Version to 4.1.3 (no changes needed)
    + update debhelper to 11
    + add python3-distutils to Depends
  * debian/compat:
    + update to 11
  * debian/copyright:
    + update years to 2018
  * debian/patches:
    + remove remove-deprecated.patch

 -- Stephen Sinclair <radarsat1@gmail.com>  Fri, 23 Mar 2018 16:08:34 -0300

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Section: science
 Priority: optional
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 11),
  dh-python,
  python-all,
  python3-all,
@@ -24,10 +24,10 @@
  python-numpydoc,
  python-jinja2 (>= 2.7.3~),
  python-sphinx-rtd-theme
-Standards-Version: 4.1.1
+Standards-Version: 4.1.3
 Homepage: http://lasagne.readthedocs.org/
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/lasagne.git
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/lasagne.git
+Vcs-Git: https://salsa.debian.org/science-team/lasagne.git
+Vcs-Browser: https://salsa.debian.org/science-team/lasagne
 X-Python-Version: >= 2.7
 X-Python3-Version: >= 3.4

## lasagne 0.1+git20181019.a61b76f

=== requirements.txt ===
Theano==0.8.2

=== debian/changelog ===
lasagne (0.1+git20181019.a61b76f-2build1) focal; urgency=medium

  * No-change rebuild to build with python3.8.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 25 Jan 2020 06:02:20 +0000

lasagne (0.1+git20181019.a61b76f-2) unstable; urgency=medium

  * Remove the Python2 package and python2 B-Ds. (Closes: #936816)
  * Remove autopkgtest for the python2 package. (Closes: #935103)
  * Remove install files and part of rules related to python2.
  * Team upload.

 -- Mo Zhou <cdluminate@gmail.com>  Sat, 26 Oct 2019 00:18:50 +0800

lasagne (0.1+git20181019.a61b76f-1) unstable; urgency=medium

  * New upstream git version.
  * debian/control:
    + change python-sphinx-rtd-theme to python3-sphinx-rtd-theme.
    + add python3-numpydoc (Closes: #906373).
    + fix misplaced period in python-lasagne description.
    + update Standards-Version to 4.3.0 (no changes needed).
    + remove X-Python-Version and X-Python3-Version to fix
      ancient-python-version-field.
    + change python{3}-all BD for python{3}-dev with <!nocheck>.
    + add <!nodoc> switches to BD that are only needed for docs.
    + add <!nocheck> for python*-pytest and python*-mock.
  * debian/rules:
    + support DEB_BUILD_OPTIONS=nodoc.
    + support nodoc and nocheck in DEB_BUILD_PROFILES.
    + add DH_VERBOSE=1 per policy 4.2.0.
  * debian/clean:
    + add .pytest_cache.
  * debian/copyright:
    + extend span to 2019.
  * debian/gitlab-ci.yml:
    + add salsa gitlab ci file.

 -- Stephen Sinclair <radarsat1@gmail.com>  Wed, 16 Jan 2019 12:02:00 +0100

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1
export PYBUILD_NAME=lasagne
export THEANO_FLAGS=base_compiledir='.pybuild',device=cpu
export PYBUILD_DISABLE_python2=1

%:
ifeq (,$(filter nodoc,$(DEB_BUILD_PROFILES)))
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
else
	dh $@ --with python3 --buildsystem=pybuild
endif

override_dh_auto_test:
	PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS="{interpreter} -m pytest -v -rs lasagne/" dh_auto_test

override_dh_auto_install:
	dh_auto_install
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N docs/ debian/lasagne-doc/usr/share/doc/lasagne-doc/html/
endif

override_dh_installdocs:
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	rst2html -r 5 README.rst .pybuild/README.html
	LANG=C.UTF-8 links -dump .pybuild/README.html > .pybuild/README
endif
	dh_installdocs -A .pybuild/README

override_dh_sphinxdoc:
	dh_sphinxdoc --exclude=MathJax.js

override_dh_compress:
	dh_compress -X.py

=== debian/tests/control ===
Tests: pytest-py3
Depends: python3-lasagne, python3-pytest, python3-pytest-cov, python3-pytest-pep8, python3-mock, python3-distutils

=== debian/watch ===
version=3
opts="filenamemangle=s/(?:.*\/)?v?(\d[\d\.]+)\.tar\.gz/lasagne-$1.tar.gz/" \
https://github.com/Lasagne/Lasagne/releases (?:.*/)?v?(\d[\d\.]+)\.tar\.gz

## lasagne 0.1+git20200419.5d3c63c+ds

=== requirements.txt ===
Theano>=0.8.2

=== debian/changelog ===
lasagne (0.1+git20200419.5d3c63c+ds-1) unstable; urgency=medium

  [ Stephen Sinclair ]
  * New upstream version.
  * Update gitlab-ci.yml for salsa.
  * Update pytest-pep8 patch.
  * Patch float64 to int conversion error.
    (Closes: #912533, #959137)
  * Fix test pytest-py3, by creating pytest.ini.
  * Fix a SyntaxWarning: 'is' with a literal.

  [ Anton Gladky ]
  * [750a02d] Apply cme fix dpkg. Set compat-level 13
  * [bf374c0] Use secure URI in Homepage field.
  * [f959d44] Update standards version to 4.5.0, no changes needed.
  * [8e7e6f1] Set Rules-Requires-Root: no
  * [70f8ec9] Update d/watch

 -- Stephen Sinclair <radarsat1@gmail.com>  Thu, 30 Apr 2020 12:51:33 +0000

=== debian/control ===
Source: lasagne
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Stephen Sinclair <radarsat1@gmail.com>
Section: science
Priority: optional
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-dev <!nocheck>,
               python3-setuptools,
               python3-theano,
               python3-numpy,
               links <!nodoc>,
               python3-pytest <!nocheck>,
               python3-mock <!nocheck>,
               python3-sphinx (>= 1.6.5~) <!nodoc>,
               python3-sphinx-rtd-theme <!nodoc>,
               python3-numpydoc <!nodoc>
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/science-team/lasagne
Vcs-Git: https://salsa.debian.org/science-team/lasagne.git
Homepage: https://lasagne.readthedocs.org/

Package: python3-lasagne
Architecture: all
Section: python
Depends: python3-theano,
         ${misc:Depends},
         ${python3:Depends}
Recommends: lasagne-doc
Description: deep learning library build on the top of Theano (Python3 modules)
 Lasagne is a Python library to build and train deep (multi-layered) artificial
 neural networks on the top of Theano (math expression compiler). In comparison
 to other abstraction layers for that like e.g. Keras, it abstracts Theano as
 little as possible.
 .
 Lasagne supports networks like Convolutional Neural Networks (CNN, mostly used
 for image recognition resp. classification) and the Long Short-Term Memory type
 (LSTM, a subtype of Recurrent Neural Networks, RNN).
 .
 This package contains the modules for Python 3.

Package: lasagne-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
         libjs-mathjax
Recommends: python3-lasagne
Description: deep learning Python library build on the top of Theano (docs)
 Lasagne is a Python library to build and train deep (multi-layered) artificial
 neural networks on the top of Theano (math expression compiler). In comparison
 to other abstraction layers for that like e.g. Keras, it abstracts Theano as
 little as possible.
 .
 Lasagne supports networks like Convolutional Neural Networks (CNN, mostly used
 for image recognition resp. classification) and the Long Short-Term Memory type
 (LSTM, a subtype of Recurrent Neural Networks, RNN).
 .
 This package contains the documentation.
Build-Profiles: <!nodoc>

=== debian/watch ===
version=4
opts=filenamemangle=s/(?:.*\/)?v?(\d[\d\.]+)\.tar\.gz/lasagne-$1.tar.gz/,dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$// \
https://github.com/Lasagne/Lasagne/releases (?:.*/)?v?(\d[\d\.]+)\.tar\.gz

## lasagne 0.1.0

=== debian/changelog ===
lasagne (0.1.0) unstable; urgency=low
  * Initial Release.

 -- John Pietrzak <jpietrzak8@gmail.com>  Tue, 23 Jun 2015 22:12:31 -0400

=== debian/control ===
Source: lasagne
Section: user/office
Priority: optional
Maintainer: John Pietrzak <jpietrzak8@gmail.com>
Build-Depends: debhelper (>= 5), libqt4-dev, libgstreamer0.10-dev, libgstreamer-plugins-base0.10-dev, libx11-dev, libzbar-dev
Standards-Version: 3.7.3
Homepage: https://github.com/jpietrzak8/Lasagne

Package: lasagne
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Barcode-based Inventory Management App
 Lasagne is a barcode-based inventory management app.  It supports quick entry of barcode data into a small spreadsheet.  This data can be viewed, edited, saved and then exported to more full-featured stylesheet applications.
XB-Maemo-Upgrade-Description: Initial Version
 This is the initial release of the Lasagna Barcode-based Inventory Management app.  Beware, this is an early release, and still needs much work!  Expect many bugs and incomplete features...
XSBC-Bugtracker: https://github.com/jpietrzak8/Lasagne/issues/new
XB-Maemo-Display-Name: Lasagne
XB-Maemo-Icon-26: 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

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1





configure: configure-stamp
configure-stamp:
	dh_testdir
	# qmake PREFIX=/usr# Uncomment this line for use without Qt Creator

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp  
	dh_testdir

	# Add here commands to compile the package.
	qmake
	$(MAKE) # Uncomment this line for use without Qt Creator
	#docbook-to-man debian/lasagne.sgml > lasagne.1

	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	# $(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/lasagne.
	$(MAKE) INSTALL_ROOT="$(CURDIR)"/debian/lasagne install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps # Uncomment this line for use without Qt Creator
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
